## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate copypasta

Name:           rust-copypasta
Version:        0.10.0
Release:        %autorelease
Summary:        Cross-platform library for getting and setting the contents of the OS-level clipboard

# Upstream license specification: MIT / Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/copypasta
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          copypasta-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Copypasta is a cross-platform library for getting and setting the
contents of the OS-level clipboard.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.apache2
%license %{crate_instdir}/LICENSE.mit
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+smithay-clipboard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+smithay-clipboard-devel %{_description}

This package contains library source intended for building other packages which
use the "smithay-clipboard" feature of the "%{crate}" crate.

%files       -n %{name}+smithay-clipboard-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wayland-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wayland-devel %{_description}

This package contains library source intended for building other packages which
use the "wayland" feature of the "%{crate}" crate.

%files       -n %{name}+wayland-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+x11-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+x11-devel %{_description}

This package contains library source intended for building other packages which
use the "x11" feature of the "%{crate}" crate.

%files       -n %{name}+x11-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+x11-clipboard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+x11-clipboard-devel %{_description}

This package contains library source intended for building other packages which
use the "x11-clipboard" feature of the "%{crate}" crate.

%files       -n %{name}+x11-clipboard-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0 (rhbz#2243596)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Oct 04 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 12:14:07 PDT 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.0-1
- Initial package

## END: Generated by rpmautospec
